Subject: Re: SSHD causes 100% CPU load
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Tue, 4 May 2021 15:56:52 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-05-04 09:14, Andrey Repin via Cygwin wrote:
>> Wednesday, April 28, 2021, 06:23:02, "Andrey Repin" wrote:
>>>> I run cygwin 32-bit on Windows 10 Pro Build 19042.  Cygwin is 3.2.0-1,
>>>> openssh is 8.5p1-1.
>>>> I use sshd to access the machine from afar.  I notice (often multiple)
>>>> processes of sshd.exe with 100% CPU load.

>>> https://cygwin.com/pipermail/cygwin/2021-April/248299.html
>>> https://cygwin.com/pipermail/cygwin/2021-April/248309.html

>> thanks for the link.  Am I mistaken or was there no solution
>> mentioned?  Do you have any advice how to fix this problem?

> No, you are not. There were multiple reports (I only listed recent ones), but
> no solution yet.

>>>> A stack shown with procexp has function names like 
>>>> "cygwin1.dll!acl_get_perm" and "cygwin1.dll!_assert".

>>>> Can anyone give me some advice how to proceed further?  I have updated 
>>>> to the latest cygwin multiple times; reboot doesn't help either.

If relevant changes are made, they are normally deployed as snapshots: see the 
Cygwin home page link.

Are you using:
* SAM with only local Windows accounts?
* MS accounts?
* AD accounts, without cygserver, and without preloading the cygserver group and 
passwd caches?

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple